import React from "react";
import type { PDFDocumentProxy } from "pdfjs-dist";
interface Props {
    workerSrc?: string;
    url: string;
    beforeLoad: JSX.Element;
    errorMessage?: JSX.Element;
    children: (pdfDocument: PDFDocumentProxy) => JSX.Element;
    onError?: (error: Error) => void;
    cMapUrl?: string;
    cMapPacked?: boolean;
}
export declare const PdfLoader: React.FC<Props>;
export {};
