import React, { useState } from 'react';
import MouseMonitor from './MouseMonitor';
export const Popup = ({ onMouseOver, popupContent, onMouseOut, children }) => {
    const [mouseIn, setMouseIn] = useState(false);
    return (React.createElement("div", { onMouseOver: () => {
            setMouseIn(true);
            onMouseOver(React.createElement(MouseMonitor, { onMoveAway: () => {
                    if (mouseIn) {
                        return;
                    }
                    onMouseOut();
                }, paddingX: 60, paddingY: 30, children: popupContent }));
        }, onMouseOut: () => {
            setMouseIn(false);
        } }, children));
};
//# sourceMappingURL=Popup.js.map